## com.google.appengine.api.taskqueue.dev
Interface LocalTaskQueueCallback

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  LocalTaskQueueTestConfig.DeferredTaskCallback

    public interface LocalTaskQueueCallback

extends java.io.Serializable

A callback that is asynchronously invoked by the local Task Queue. Even though the interface is defined in terms of a url fetch and its response, implementors are free to execute the request in any way they see fit.

Method Summary
`int` `execute(URLFetchServicePb.URLFetchRequest req)` Execute the provided url fetch request.
`void` `initialize(java.util.Map<java.lang.String,java.lang.String> properties)` This method will be invoked from `LocalTaskQueue#init(com.google.appengine.tools.development.LocalServiceContext, Map)` forwarding the `properties` parameter.

Method Detail

### initialize

    void initialize(java.util.Map<java.lang.String,java.lang.String> properties)

  This method will be invoked from `LocalTaskQueue#init(com.google.appengine.tools.development.LocalServiceContext, Map)` forwarding the `properties` parameter.

### execute

    int execute(URLFetchServicePb.URLFetchRequest req)

  Execute the provided url fetch request.

  Parameters:
    `req` - The url fetch request
  Returns:
    The HTTP status code of the fetch.